<app-navbar></app-navbar>
<div layout="row" layout-align="space-between center" flex class="layout-align-space-between-center layout-row flex">
    <mat-form-field>
        <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Search Trainings">
    </mat-form-field>&nbsp;&nbsp;

    <button class="btn-secondary" mat-mini-fab matTooltip="Add a Training">
        <mat-icon routerLink="/add-training" aria-label="add training">add</mat-icon>
    </button>
</div>

<div class="basic-container mat-elevation-z8">
    <table mat-table [dataSource]="dataSource" matSort matSortActive="id" matSortDirection="desc" matSortDisableClear>

        <!-- MentorName Column -->
        <ng-container matColumnDef="mentorName">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>Mentor Name</th>
            <td mat-cell *matCellDef="let training">{{training.mentorName}}</td>
        </ng-container>

        <!-- UserName Column -->
        <!--<ng-container matColumnDef="userName">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>User Name</th>
            <td mat-cell *matCellDef="let training">{{getUserName(training.userId) }}</td>
        </ng-container>-->

        <!-- Status Column -->
        <ng-container matColumnDef="status">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>Status</th>
            <td mat-cell *matCellDef="let training">{{training.status }}</td>
        </ng-container>
        <!-- Progress Column -->
        <ng-container matColumnDef="progress">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>Progress</th>
            <td mat-cell *matCellDef="let training">{{training.progress }}</td>
        </ng-container>

        <!-- Skill Column -->
        <ng-container matColumnDef="skill">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>Training Skill</th>
            <td mat-cell *matCellDef="let training">{{training.skill}}</td>
        </ng-container>

        <!-- Fees Column -->
        <ng-container matColumnDef="fees">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>Fees</th>
            <td mat-cell *matCellDef="let training">{{training.fees}}</td>
        </ng-container>

        <!-- Start Date Column -->
        <ng-container matColumnDef="startDate">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>Start Date</th>
            <td mat-cell *matCellDef="let training">{{ training.startDate }}</td>
        </ng-container>

        <!-- End Date Column -->
        <ng-container matColumnDef="endDate">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>End Date</th>
            <td mat-cell *matCellDef="let training">{{ training.endDate }}</td>
        </ng-container>

        <!-- Action Column -->
        <ng-container matColumnDef="action">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>Action</th>
            <td mat-cell *matCellDef="let training">
                <button mat-icon-button color="accent" matTooltip="edit a Training">
                    <mat-icon (click)="editTraining(training.id)" aria-label="edit training">edit</mat-icon>
                </button>
                <button mat-icon-button color="warn" matTooltip="delete a Training">
                    <mat-icon (click)="deleteTraining(training)" aria-label="delete training">delete_forever</mat-icon>
                </button>
            </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

    </table>
    <mat-paginator [pageSizeOptions]="[5, 10]" showFirstLastButtons></mat-paginator>
</div>